2019-06-25 03:27 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002298NetSurfRISC OS-specificpublic2016-02-16 14:35
ReporterJohn Rickman 
Assigned ToVincent Sanders 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformriscosOSRISC OSOS Version5.21
Product Version3.3 
Target Version3.4Fixed in Version3.4 
Summary0002298: Menu > Object > Info ...crash
DescriptionAttempt to find info about a graphic object causes crash.
Steps To ReproduceOpen page of supplied URL. Point to object. Click middle button,
Menu > Object > Info. Then NetSurf crashes with message
"Message: NetSurf has detected a serious error and must exit. Please submit a bug report, attaching the browser log file."
TagsNo tags attached.
Fixed in CI build #2683
Reported in CI build #2509
URL of problem pagehttp://www.talkgraphics.com/attachment.php?s=f5c2d73a52e03d1ed6a64778acba970c&attachmentid=106787&d=1427236953
Attached Files
  • ? file icon Log (18,612 bytes) 2015-03-28 10:31 -
    (0.000000) utils/nsoption.c nsoption_read 608: Successfully opened 'NetSurf:Choices' for Options file
    (0.010000) desktop/netsurf.c netsurf_init 157: NetSurf version '3.3 (Dev CI #2509)'
    (0.010000) desktop/netsurf.c netsurf_init 164: NetSurf on <RISC OS>, node <panther>, release <5.21>, version <1.0>, machine <armv5l>
    (0.010000) utils/messages.c messages_load 154: Loading Messages from 'NetSurf:Resources.en.Messages'
    (0.030000) image/image_cache.c image_cache_init 381: Image cache initilised with a limit of 2647654 hysteresis of 529530
    (0.030000) render/html_css_fetcher.c html_css_fetcher_initialise 64: html_css_fetcher_initialise called for x-ns-css
    (0.030000) content/fetchers/curl.c fetch_curl_register 1244: curl_version libcurl/7.38.0 OpenSSL/1.0.1j zlib/1.2.8 c-ares/1.10.0
    (0.070000) utils/useragent.c user_agent_build_string 68: Built user agent "NetSurf/3.3 (RISC OS)"
    (0.070000) content/fetchers/curl.c fetch_curl_register 1314: ca_bundle: 'NetSurf:Resources.ca-bundle'
    (0.070000) content/fetchers/curl.c fetch_curl_register 1330: cURL linked against openssl
    (0.070000) content/fetchers/curl.c fetch_curl_initialise 114: Initialise cURL fetcher for http
    (0.070000) content/fetchers/curl.c fetch_curl_initialise 114: Initialise cURL fetcher for https
    (0.070000) content/fetchers/data.c fetch_data_initialise 65: fetch_data_initialise called for data
    (0.070000) content/llcache.c llcache_initialise 3264: llcache initialising with a limit of 7942963 bytes
    (0.070000) javascript/jsapi.c js_initialise 46: New runtime handle 0x6cd98cd0
    (0.070000) utils/messages.c messages_load 154: Loading Messages from 'NetSurf:Resources.LangNames'
    (0.100000) utils/filename.c filename_initialise 186: Creating "<Wimp$ScrapDir>"
    (0.100000) utils/filename.c filename_initialise 186: Creating "<Wimp$ScrapDir>/WWW"
    (0.100000) utils/filename.c filename_initialise 186: Creating "<Wimp$ScrapDir>/WWW/NetSurf"
    (0.100000) utils/filename.c filename_initialise 199: Temporary directory location: <Wimp$ScrapDir>/WWW/NetSurf/Misc
    (0.140000) content/urldb.c urldb_load 2494: Loading URL file NetSurf:URL
    (0.240000) content/urldb.c urldb_load 2669: Successfully loaded URL file
    (0.290000) riscos/font.c nsfont_init 82: Initialise RUfl
    (0.730000) riscos/font.c nsfont_init 94: RUfl initialised
    (0.730000) riscos/font.c ro_gui_wimp_desktop_font 582: desktop font "Homerton.Medium"
    (0.730000) riscos/font.c ro_gui_wimp_desktop_font 598: family "Homerton", size 192, style 5
    (0.730000) desktop/treeview.c treeview_init 3952: Initialising treeview module
    (0.730000) desktop/treeview.c treeview_init 3974: Initialised treeview module
    (0.750000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x20525699
    (0.750000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x20526339
    (0.760000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x20539ff9
    (0.760000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x2053a599
    (0.760000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x205d8a19
    (0.760000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x2072e2b9
    (0.760000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x2073af99
    (0.760000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x2073c639
    (0.770000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x2073cdb9
    (0.770000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x20744919
    (0.770000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x20746c59
    (0.770000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x20765af9
    (0.770000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x2077d5b9
    (0.780000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0xfffffffe
    (0.780000) riscos/gui.c ro_gui_check_resolvers 1078: Inet$Resolvers '212.104.130.9 212.104.130.65'
    (0.780000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x2077dab9
    (0.780000) desktop/hotlist.c hotlist_init 1231: Loading hotlist
    (0.810000) desktop/hotlist.c hotlist_init 1268: Loaded hotlist
    (0.810000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x20767fd9
    (0.810000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x2077d979
    (0.820000) desktop/global_history.c global_history_init 716: Loading global history
    (0.860000) desktop/global_history.c global_history_init 772: Loaded global history
    (0.860000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x2077d839
    (0.860000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x2077eb39
    (0.860000) desktop/cookie_manager.c cookie_manager_init 760: Generating cookie manager data
    (0.910000) desktop/cookie_manager.c cookie_manager_init 797: Generated cookie manager data
    (0.910000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x2077d6f9
    (0.910000) riscos/gui.c gui_init 1297: parameters: '-url' 'http://www.talkgraphics.com/attachment.php?s=f5c2d73a52e03d1ed6a64778acba970c&attachmentid=106787&d=1427236953'
    (0.910000) javascript/jsapi.c js_newcontext 340: New Context 0x6cee7530
    (0.910000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x2077f179
    (0.910000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x2077f039
    (0.910000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x2077eef9
    (0.920000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1634: Creating structure for window 0x2077e9f9
    (0.920000) desktop/browser.c browser_window_navigate 1895: bw 0x6cee7458, url http://www.talkgraphics.com/attachment.php?s=f5c2d73a52e03d1ed6a64778acba970c&attachmentid=106787&d=1427236953
    (0.930000) desktop/browser.c browser_window_navigate 1994: Loading 'http://www.talkgraphics.com/attachment.php?s=f5c2d73a52e03d1ed6a64778acba970c&attachmentid=106787&d=1427236953'
    (0.930000) content/llcache.c llcache_process_metadata 1331: Retriving metadata
    (0.930000) content/fetchers/curl.c fetch_curl_setup 284: fetch 0x6ceed4c0, url 'http://www.talkgraphics.com/attachment.php?s=f5c2d73a52e03d1ed6a64778acba970c&attachmentid=106787&d=1427236953'
    (1.220000) riscos/filetype.c fetch_filetype 79: unix_path = 'NetSurf:Resources.icons.arrow-l/png'
    (1.220000) riscos/filetype.c fetch_filetype 88: riscos path 'NetSurf:Resources.icons.arrow-l/png'
    (1.230000) content/content.c content__init 80: url file:///NetSurf:/Resources/icons/arrow-l.png -> 0x6cf001b0
    (1.230000) content/content.c content_add_user 599: content file:///NetSurf:/Resources/icons/arrow-l.png (0x6cf001b0), user 0x3e424 0x6ce4f448
    (1.230000) image/png.c info_callback 182: size 17 * 17, rowbytes 68
    (1.230000) content/content.c content_convert 281: content file:///NetSurf:/Resources/icons/arrow-l.png (0x6cf001b0)
    (1.230000) image/image_cache.c image_cache_add 480: centry 0x6ceffdf8, content 0x6cf001b0, bitmap 0x6ceffde0
    (1.240000) riscos/filetype.c fetch_filetype 79: unix_path = 'NetSurf:Resources.icons.content/png'
    (1.240000) riscos/filetype.c fetch_filetype 88: riscos path 'NetSurf:Resources.icons.content/png'
    (1.240000) content/content.c content__init 80: url file:///NetSurf:/Resources/icons/content.png -> 0x6cf006b0
    (1.240000) content/content.c content_add_user 599: content file:///NetSurf:/Resources/icons/content.png (0x6cf006b0), user 0x3e424 0x6ce4f458
    (1.240000) image/png.c info_callback 182: size 17 * 17, rowbytes 68
    (1.250000) content/content.c content_convert 281: content file:///NetSurf:/Resources/icons/content.png (0x6cf006b0)
    (1.250000) image/image_cache.c image_cache_add 480: centry 0x6ce517f0, content 0x6cf006b0, bitmap 0x6cf00160
    (1.260000) riscos/filetype.c fetch_filetype 79: unix_path = 'NetSurf:Resources.icons.directory/png'
    (1.260000) riscos/filetype.c fetch_filetype 88: riscos path 'NetSurf:Resources.icons.directory/png'
    (1.260000) content/content.c content__init 80: url file:///NetSurf:/Resources/icons/directory.png -> 0x6cf00ac0
    (1.260000) content/content.c content_add_user 599: content file:///NetSurf:/Resources/icons/directory.png (0x6cf00ac0), user 0x3e424 0x6ce51648
    (1.270000) image/png.c info_callback 182: size 17 * 17, rowbytes 68
    (1.270000) content/content.c content_convert 281: content file:///NetSurf:/Resources/icons/directory.png (0x6cf00ac0)
    (1.270000) image/image_cache.c image_cache_add 480: centry 0x6cf00648, content 0x6cf00ac0, bitmap 0x6cf00578
    (1.280000) riscos/filetype.c fetch_filetype 79: unix_path = 'NetSurf:Resources.icons.directory2/png'
    (1.280000) riscos/filetype.c fetch_filetype 88: riscos path 'NetSurf:Resources.icons.directory2/png'
    (1.280000) content/content.c content__init 80: url file:///NetSurf:/Resources/icons/directory2.png -> 0x6cf02cf8
    (1.280000) content/content.c content_add_user 599: content file:///NetSurf:/Resources/icons/directory2.png (0x6cf02cf8), user 0x3e424 0x6ce517e0
    (1.290000) image/png.c info_callback 182: size 17 * 17, rowbytes 68
    (1.290000) content/content.c content_convert 281: content file:///NetSurf:/Resources/icons/directory2.png (0x6cf02cf8)
    (1.290000) image/image_cache.c image_cache_add 480: centry 0x6cf00a70, content 0x6cf02cf8, bitmap 0x6ce51b98
    (1.300000) riscos/filetype.c fetch_filetype 79: unix_path = 'NetSurf:Resources.icons.search/png'
    (1.300000) riscos/filetype.c fetch_filetype 88: riscos path 'NetSurf:Resources.icons.search/png'
    (1.310000) content/content.c content__init 80: url file:///NetSurf:/Resources/icons/search.png -> 0x6cf01a58
    (1.310000) content/content.c content_add_user 599: content file:///NetSurf:/Resources/icons/search.png (0x6cf01a58), user 0x3e424 0x6ce519c0
    (1.310000) image/png.c info_callback 182: size 17 * 17, rowbytes 68
    (1.310000) content/content.c content_convert 281: content file:///NetSurf:/Resources/icons/search.png (0x6cf01a58)
    (1.310000) image/image_cache.c image_cache_add 480: centry 0x6ce90e00, content 0x6cf01a58, bitmap 0x6ce90c48
    (1.320000) riscos/filetype.c fetch_filetype 79: unix_path = 'NetSurf:Resources.icons.hotlist-add/png'
    (1.320000) riscos/filetype.c fetch_filetype 88: riscos path 'NetSurf:Resources.icons.hotlist-add/png'
    (1.320000) content/content.c content__init 80: url file:///NetSurf:/Resources/icons/hotlist-add.png -> 0x6cf01f98
    (1.330000) content/content.c content_add_user 599: content file:///NetSurf:/Resources/icons/hotlist-add.png (0x6cf01f98), user 0x3e424 0x6ce90c90
    (1.330000) image/png.c info_callback 182: size 17 * 17, rowbytes 68
    (1.330000) content/content.c content_convert 281: content file:///NetSurf:/Resources/icons/hotlist-add.png (0x6cf01f98)
    (1.330000) image/image_cache.c image_cache_add 480: centry 0x6cf01d08, content 0x6cf01f98, bitmap 0x6cf01950
    (1.330000) content/fetchers/curl.c fetch_curl_process_headers 771: HTTP status code 200
    (1.340000) riscos/filetype.c fetch_filetype 79: unix_path = 'NetSurf:Resources.icons.hotlist-rmv/png'
    (1.340000) riscos/filetype.c fetch_filetype 88: riscos path 'NetSurf:Resources.icons.hotlist-rmv/png'
    (1.350000) content/content.c content__init 80: url http://www.talkgraphics.com/attachment.php?s=f5c2d73a52e03d1ed6a64778acba970c&attachmentid=106787&d=1427236953 -> 0x6cf03c98
    (1.350000) content/content.c content_add_user 599: content http://www.talkgraphics.com/attachment.php?s=f5c2d73a52e03d1ed6a64778acba970c&attachmentid=106787&d=1427236953 (0x6cf03c98), user 0x3e424 0x6ceed320
    (1.350000) content/content.c content__init 80: url file:///NetSurf:/Resources/icons/hotlist-rmv.png -> 0x6cf04a48
    (1.350000) content/content.c content_add_user 599: content file:///NetSurf:/Resources/icons/hotlist-rmv.png (0x6cf04a48), user 0x3e424 0x6ce90530
    (1.350000) image/png.c info_callback 182: size 17 * 17, rowbytes 68
    (1.350000) content/content.c content_convert 281: content file:///NetSurf:/Resources/icons/hotlist-rmv.png (0x6cf04a48)
    (1.350000) image/image_cache.c image_cache_add 480: centry 0x6cf02598, content 0x6cf04a48, bitmap 0x6ceed3b0
    (1.660000) content/fetchers/curl.c fetch_curl_done 838: done http://www.talkgraphics.com/attachment.php?s=f5c2d73a52e03d1ed6a64778acba970c&attachmentid=106787&d=1427236953
    (1.660000) content/fetchers/curl.c fetch_curl_stop 703: fetch 0x6ceed4c0, url 'http://www.talkgraphics.com/attachment.php?s=f5c2d73a52e03d1ed6a64778acba970c&attachmentid=106787&d=1427236953'
    (1.660000) content/content.c content_convert 281: content http://www.talkgraphics.com/attachment.php?s=f5c2d73a52e03d1ed6a64778acba970c&attachmentid=106787&d=1427236953 (0x6cf03c98)
    (1.660000) image/image_cache.c image_cache_add 480: centry 0x6ceed4c0, content 0x6cf03c98, bitmap 0x0
    (1.660000) content/content.c content__reformat 360: 0x6cf03c98 http://www.talkgraphics.com/attachment.php?s=f5c2d73a52e03d1ed6a64778acba970c&attachmentid=106787&d=1427236953
    (1.670000) content/content.c content_open 742: content 0x6cf03c98 http://www.talkgraphics.com/attachment.php?s=f5c2d73a52e03d1ed6a64778acba970c&attachmentid=106787&d=1427236953
    (1.670000) desktop/browser_history.c browser_window_history_add 513: Creating thumbnail for http://www.talkgraphics.com/attachment.php?s=f5c2d73a52e03d1ed6a64778acba970c&attachmentid=106787&d=1427236953
    (2.050000) desktop/browser.c browser_window_update_favicon 1141: fetching general favicon from 'http://www.talkgraphics.com/favicon.ico'
    (2.050000) content/llcache.c llcache_process_metadata 1331: Retriving metadata
    (2.050000) content/fetchers/curl.c fetch_curl_setup 284: fetch 0x6ceff0b0, url 'http://www.talkgraphics.com/favicon.ico'
    (2.380000) content/fetchers/curl.c fetch_curl_process_headers 771: HTTP status code 200
    (2.380000) content/fetchers/curl.c fetch_curl_done 838: done http://www.talkgraphics.com/favicon.ico
    (2.380000) content/fetchers/curl.c fetch_curl_stop 703: fetch 0x6ceff0b0, url 'http://www.talkgraphics.com/favicon.ico'
    (2.380000) content/content.c content__init 80: url http://www.talkgraphics.com/favicon.ico -> 0x6ceff770
    (2.380000) content/content.c content_add_user 599: content http://www.talkgraphics.com/favicon.ico (0x6ceff770), user 0x3e424 0x6cf00178
    (2.380000) content/content.c content_convert 281: content http://www.talkgraphics.com/favicon.ico (0x6ceff770)
    (2.380000) image/ico.c nsico_redraw 175: Decoding bitmap
    
    "utils/nsurl.c", line 1691: nsurl_access: Assertion failed: url != NULL
    http_proxy:0
    http_proxy_host:
    http_proxy_port:8080
    http_proxy_auth:0
    http_proxy_auth_user:
    http_proxy_auth_pass:
    http_proxy_noproxy:localhost
    font_size:128
    font_min_size:85
    font_sans:Homerton
    font_serif:Trinity
    font_mono:Corpus
    font_cursive:Homerton
    font_fantasy:Sassoon
    accept_language:en
    accept_charset:
    memory_cache_size:10590617
    disc_cache_size:0
    disc_cache_age:28
    block_advertisements:0
    do_not_track:0
    minimum_gif_delay:10
    send_referer:1
    foreground_images:1
    background_images:1
    animate_images:1
    enable_javascript:0
    script_timeout:10
    expire_url:28
    font_default:0
    ca_bundle:NetSurf:Resources.ca-bundle
    ca_path:
    cookie_file:NetSurf:Cookies
    cookie_jar:<Choices$Write>.WWW.NetSurf.Cookies
    homepage_url:file:///ADFS%3A%3AHardDisc5.%24/WEBZ/JRWEB/lynx/index.htm
    search_url_bar:0
    search_provider:0
    url_suggestion:1
    window_x:1330
    window_y:460
    window_width:1926
    window_height:1640
    window_screen_width:3840
    window_screen_height:2160
    toolbar_status_size:6667
    scale:100
    incremental_reflow:1
    min_reflow_period:100
    core_select_menu:0
    max_fetchers:24
    max_fetchers_per_host:5
    max_cached_fetch_handles:6
    suppress_curl_debug:1
    target_blank:1
    button_2_tab:1
    margin_top:10
    margin_bottom:10
    margin_left:10
    margin_right:10
    export_scale:70
    suppress_images:0
    remove_backgrounds:0
    enable_loosening:1
    enable_PDF_compression:1
    enable_PDF_password:0
    sys_colour_ActiveBorder:000000
    sys_colour_ActiveCaption:eeeebb
    sys_colour_AppWorkspace:dddddd
    sys_colour_Background:dddddd
    sys_colour_ButtonFace:dddddd
    sys_colour_ButtonHighlight:555555
    sys_colour_ButtonShadow:777777
    sys_colour_ButtonText:000000
    sys_colour_CaptionText:000000
    sys_colour_GrayText:999999
    sys_colour_Highlight:000000
    sys_colour_HighlightText:ffffff
    sys_colour_InactiveBorder:000000
    sys_colour_InactiveCaption:bbbbbb
    sys_colour_InactiveCaptionText:000000
    sys_colour_InfoBackground:eeeebb
    sys_colour_InfoText:000000
    sys_colour_Menu:ffffff
    sys_colour_MenuText:000000
    sys_colour_Scrollbar:bbbbbb
    sys_colour_ThreeDDarkShadow:777777
    sys_colour_ThreeDFace:dddddd
    sys_colour_ThreeDHighlight:ffffff
    sys_colour_ThreeDLightShadow:ffffff
    sys_colour_ThreeDShadow:777777
    sys_colour_Window:dddddd
    sys_colour_WindowFrame:000000
    sys_colour_WindowText:000000
    theme:Aletheia
    language:en
    plot_fg_quality:8
    plot_bg_quality:4
    history_tooltip:1
    toolbar_show_buttons:1
    toolbar_show_address:1
    toolbar_show_throbber:1
    toolbar_browser:0123|458|9
    toolbar_hotlist:40|12|3
    toolbar_history:0|12|3
    toolbar_cookies:0|12
    window_stagger:1
    window_size_clone:1
    buffer_animations:1
    buffer_everything:1
    open_browser_at_startup:0
    no_plugins:0
    block_popups:0
    strip_extensions:0
    confirm_overwrite:0
    confirm_hotlist_remove:1
    url_path:NetSurf:URL
    url_save:<Choices$Write>.WWW.NetSurf.URL
    hotlist_path:NetSurf:Hotlist
    hotlist_save:<Choices$Write>.WWW.NetSurf.Hotlist
    recent_path:NetSurf:Recent
    recent_save:<Choices$Write>.WWW.NetSurf.Recent
    theme_path:NetSurf:Themes
    theme_save:<Choices$Write>.WWW.NetSurf.Themes
    thumbnail_iconise:1
    interactive_help:1
    external_hotlists:0
    external_hotlist_app:
    
    Fatal signal received: Aborted
    
    Stack backtrace:
    
    Running thread 0x6a9e28
      (  6b1b20) pc:   49bc38 lr:    bb22c sp:   6b1b24  __write_backtrace()
      (  6b1b4c) pc:    bb1ac lr:   49c55c sp:   6b1b50  ro_gui_signal()
      (  6b1b74) pc:   49c544 lr:   49c238 sp:   6b1b78  __unixlib_exec_sig()
      (  6b1be4) pc:   49bd50 lr:   4e04a8 sp:   6b1be8  __unixlib_raise_signal()
      (  6b1bf4) pc:   4e048c lr:   4a41fc sp:   6b1bf8  raise()
      (  6b1c08) pc:   4a41c0 lr:    ad280 sp:   6b1c0c  abort()
      (  6b1c24) pc:    ad23c lr:    fa7e4 sp:   6b1c28  __assert2()
      (  6b1c34) pc:    fa7b4 lr:    e5038 sp:   6b1c38  nsurl_access()
      (  6b1c58) pc:    e4bb8 lr:    e2470 sp:   6b1c5c  ro_gui_window_menu_warning()
      (  6b1c80) pc:    e2384 lr:    c7658 sp:   6b1c84  ro_gui_wimp_event_submenu_warning()
      (  6b1ca4) pc:    c75b8 lr:     a340 sp:   6b1ca8  ro_gui_menu_warning()
      (  6b1fe8) pc:     963c lr:   4aa904 sp:   6b1fec  main()
    
    
    ? file icon Log (18,612 bytes) 2015-03-28 10:31 +

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000809

Vincent Sanders (administrator)

stopped the RISC OS code trying to dereference a null nsurl.

committed fix and should be in CI build 2683
Vincent Sanders

~0001267

Vincent Sanders (administrator)

Confirmed fixed in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2015-03-28 10:31 John Rickman New Issue
2015-03-28 10:31 John Rickman File Added: Log
2015-03-28 18:49 Vincent Sanders Fixed in CI build # => 2683
2015-03-28 18:49 Vincent Sanders Note Added: 0000809
2015-03-28 18:49 Vincent Sanders Assigned To => Vincent Sanders
2015-03-28 18:49 Vincent Sanders Status new => resolved
2015-03-28 18:49 Vincent Sanders Category ABEND => RISC OS-specific
2015-03-28 18:49 Vincent Sanders Fixed in Version => 3.4
2015-03-28 18:49 Vincent Sanders Target Version => 3.4
2015-03-28 18:49 Vincent Sanders Steps to Reproduce Updated View Revisions
2015-10-31 21:48 Vincent Sanders Resolution open => fixed
2016-02-16 14:35 Vincent Sanders Note Added: 0001267
2016-02-16 14:35 Vincent Sanders Status resolved => closed
+Issue History